Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

The “List Products” API allows to retrieve a paginated list of products. Customize your results by filtering products based on name or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve product information.
GET https://services.leadconnectorhq.com/products/

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

limit
number
default:"20"
The maximum number of items to be included in a single page of results
offset
number
default:"0"
The starting index of the page, indicating the position from which the results should be retrieved.
locationId
string
default:"3SwdhCu3svxI8AKsPJt6"
required
LocationId is the id of the account
The name of the product for searching.
collectionIds
string
Filter by product category Ids. Supports comma separated values
collectionSlug
string
The slug value of the collection by which the collection would be searched
expand
string[]
Name of an entity whose data has to be fetched along with product. Possible entities are tax, stripe and paypal. If not mentioned, only ID will be returned in case of taxes
productIds
string[]
List of product ids to be fetched.
storeId
string
default:"3SwdhCu3svxI8AKsPJt6"
fetch and project products based on the storeId
includedInStore
boolean
default:"True"
Separate products by which are included in the store and which are not
availableInStore
boolean
default:"True"
If the product is included in the online store
sortOrder
string
default:"desc"
The order of sort which should be applied for the date

Respuestas

products
object[]
required
An array of products
total
object[]
required
list products status
{
  "products": [
    {
      "_id": "655b33a82209e60b6adb87a5",
      "description": "This is a really awesome product",
      "variants": [
        {}
      ],
      "locationId": "3SwdhCsvxI8Au3KsPJt6",
      "name": "Awesome Product",
      "productType": "PHYSICAL",
      "availableInStore": true,
      "createdAt": "2023-11-20T10:23:36.515Z",
      "updatedAt": "2024-01-23T09:57:04.846Z",
      "statementDescriptor": "abcde",
      "image": "https://storage.googleapis.com/ghl-test/3SwdhCsvxI8Au3KsPJt6/media/65af8d5df88bdb4b1022ee90.png",
      "collectionIds": [
        "65d71377c326ea78e1c47df5",
        "65d71377c326ea78e1c47d34"
      ],
      "isTaxesEnabled": true,
      "taxes": [
        "654492a4e6bef380114de15a"
      ],
      "automaticTaxCategoryId": "65d71377c326ea78e1c47df5",
      "slug": "washing-machine"
    }
  ],
  "total": [
    {
      "total": 20
    }
  ]
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/products/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'